> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a task document

> Links the specified document to the specified task.



## OpenAPI

````yaml /openapi.json post /tasks/{taskId}/documents
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /tasks/{taskId}/documents:
    post:
      tags:
        - Tasks
      summary: Create a task document
      description: Links the specified document to the specified task.
      operationId: CreateTaskDocument
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TaskDocumentDto'
              description: Data transfer object for a task document.
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TaskDocumentDto'
              description: Data transfer object for a task document.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/TaskDocumentDto'
              description: Data transfer object for a task document.
      responses:
        '202':
          description: >-
            When request is accepted. Returns a hypermedia 'Link' object of the
            link to be created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '403':
          description: >-
            When task with specified id is not associated with authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When task with specified task id and/or document id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TaskDocumentDto:
      required:
        - type
      type: object
      properties:
        documentId:
          type: string
          description: "Unique identifier of the document (file or memo).\r\n\r\nIf a file, the type must be 0 (File). \r\n\r\nIf a memo, the type must be 2 (Memo).\r\n\r\nThe FormTemplate (1) document type is not currently supported for task document creation."
          nullable: true
          example: cf666f06-3ff2-4a41-8c7f-ab5a8bc6a277
        type:
          allOf:
            - $ref: '#/components/schemas/DocumentType'
          description: "The type of the document.\r\n\r\nPossible values: File = 0, FormTemplate = 1, Memo = 2.\r\n\r\nThe FormTemplate (1) document type is not currently supported for task document creation."
          example: 0
      additionalProperties: false
      description: Data transfer object for a task document.
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DocumentType:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: "Available document types: \"File = 0\", \"FormTemplate = 1\", \"Memo = 2\" \r\n\r\nThe FormTemplate (1) document type is not currently supported for task document creation."
      format: int32
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````